> ## Documentation Index
> Fetch the complete documentation index at: https://docs.range.org/llms.txt
> Use this file to discover all available pages before exploring further.

# Add a comment to a case



## OpenAPI

````yaml /api-reference/platform-api.json post /v2/cases/{id}/comments
openapi: 3.0.0
info:
  title: Range Platform API
  description: >-
    The Range Platform API for workspace management, counterparties, and
    operational tooling.
  version: 1.7.16
  contact: {}
servers:
  - url: https://api.range.org
    description: Range API Server
security:
  - Authorization: []
  - Authorization: []
tags:
  - name: Address Information
    description: Get information about a crypto address.
  - name: Transfer Enrichments
    description: Attach workspace-scoped notes and categories to transfers.
  - name: Counterparties
    description: Manage external entities, their addresses, bank accounts, and documents.
paths:
  /v2/cases/{id}/comments:
    post:
      tags:
        - Cases
      summary: Add a comment to a case
      operationId: addComment
      parameters:
        - name: id
          required: true
          in: path
          description: The case id (uuid).
          schema:
            type: string
      requestBody:
        required: true
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/AddCaseCommentDto'
      responses:
        '201':
          description: ''
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/CaseCommentDto'
components:
  schemas:
    AddCaseCommentDto:
      type: object
      properties:
        body:
          type: string
          maxLength: 5000
          example: Reviewed the evidence. Recommending dismissal.
      required:
        - body
    CaseCommentDto:
      type: object
      properties:
        id:
          type: string
        author:
          type: string
          example: analyst@range.org
        body:
          type: string
        created_at:
          type: string
      required:
        - id
        - author
        - body
        - created_at
  securitySchemes:
    Authorization:
      type: apiKey
      in: header
      name: X-API-KEY
      description: Authorization method required to allow user to access the api endpoints.

````